Skip to main content
POST
/
api
/
v2
/
affiliate
/
leads-upon
Create lead upon delivery (POST)
curl --request POST \
  --url 'https://{domain}/api/v2/affiliate/leads-upon?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "offer_id": 1,
  "affiliate_id": 1,
  "goal_id": 1,
  "deliver_lead": "yes",
  "email": "user@example.com",
  "firstname": "string"
}
'
{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "result": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Body

application/json
offer_id
integer
required
affiliate_id
integer
goal_id
integer
deliver_lead
enum<string>

Whether to deliver the lead.

Available options:
yes,
no
email
string
firstname
string
lastname
string
phone
string
address
string
city
string
region
string
postcode
string
country
string
vertical
string
ip
string
idfa
string
gaid
string
sub_id1
string
sub_id2
string
sub_id3
string
sub_id4
string
sub_id5
string
aff_param1
string
aff_param2
string
aff_param3
string
aff_param4
string
aff_param5
string
custom1
string
custom2
string
custom3
string
custom4
string
custom5
string
custom6
string
custom7
string
custom8
string
custom9
string
custom10
string
public_notes
string
private_notes
string
promo_code
string

Response

Lead creation result.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object